Gentoo Archives: gentoo-dev

From: Samuli Suominen <ssuominen@g.o>
To: gentoo-dev <gentoo-dev@l.g.o>
Subject: [gentoo-dev] dev-libs/libusb -> virtual/libusb, please, check your overlays
Date: Wed, 23 May 2012 08:48:06
Whole gentoo-x86 is using the virtuals now. Please check your overlays 
to avoid dev-libs/libusb from creeping back in to the tree.

If you have packages in overlays using dev-libs/libusb please fix them 
now to avoid them creeping into Portage.

There is a repoman bug open but still without a patch:

This is important now because of the dev-libs/libusb-compat stabilization:

Otherwise you'd be introducing conflicting dependencies for /stable/ users.

Futhermore some of the virtual/libusb dependencies in tree are missing 
usage of correct SLOT, and should be fixed, that involves checking the 
package sources (of course). If you want to help with this, please do.